## swift 2.23.1

=== debian/changelog ===
swift (2.23.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove one more not needed
    package-supports-alternative-init-but-no-init.d-script
    lintian override.
  * Drop Python 3 patches, applied upstream.

 -- Ondřej Nový <onovy@debian.org>  Wed, 23 Oct 2019 14:26:27 +0200

swift (2.23.0-6) unstable; urgency=medium

  * Uploading to unstable.
  * Bump Standards-Version to 4.4.1.
  * Remove not needed package-supports-alternative-init-but-no-init.d-script
    lintian overrides.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Oct 2019 12:33:00 +0200

swift (2.23.0-5) experimental; urgency=medium

  * Add a number of Py3 fixes:
    - py3_Fix_swift-drive-audit.patch
    - py3_Fix_swift-recon.patch
    - py3_fix_swift-dispersion-populate.patch
    - py3_fix_swift-account-audit.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2019 16:53:21 +0200

swift (2.23.0-4) experimental; urgency=medium

  * Replace my old patch Fix_on-disk_encryption_under_Python_3.patch by the new
    upstream one: Fix_kms_keymaster_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2019 03:16:37 +0200

swift (2.23.0-3) experimental; urgency=medium

  * Add Fix_on-disk_encryption_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 14:16:53 +0200

swift (2.23.0-2) experimental; urgency=medium

  * Do not use --processes=-1 when running tests, as this seems to fail on
    buildds.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2019 16:31:24 +0200

swift (2.23.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of eventlet in (b-)d for this release.
  * Add  python3-barbicanclient and python3-castellan as recommends in
    swift-proxy, as they are needed for on-disk encryption.
  * Removed patches applied upstream:
    - sphinx_reproducible_build.patch
    - fix-xattr_supported_check.patch
  * Run tests with --processes=-1 to run them in parallel.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Oct 2019 15:59:04 +0200

swift (2.22.0-2) unstable; urgency=medium

  * Remove swauth from Recommends.

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Aug 2019 10:37:49 +0200

swift (2.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0.
  * Remove prerm/preinst scripts for upgrading from version 2.6.0-2.
  * Add lintian overrides for
    package-supports-alternative-init-but-no-init.d-script
  * python3-swift.lintian-overrides: Fix wrong binary package name
  * Use pybuild to build package.
  * Clean using d/clean file instead of override_dh_auto_clean target.
  * Bump debhelper compat level to 12.
  * Cleanup systemd and init scripts generator.

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Aug 2019 19:12:51 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Fixed python3-os-api-ref-common -> python-os-api-ref-common depends for
    swift-doc, which was a mistake when converting to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2019 18:41:54 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 19:51:53 +0200

swift (2.21.10+2019.07.13+git.4643412bd1-1) experimental; urgency=medium

  * New upstream release.
  * Switch swift to Python 3.
  * Rebased patches.
  * Added usr/bin/swift-container-deleter to the swift-container package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jul 2019 15:09:23 +0200

swift (2.21.0-1) experimental; urgency=medium

  [ Michal Arbet ]
  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * New upstream version

  [ Ondřej Nový ]
  * d/p/fix-decryption-of-object-if-metadata-is-missing.patch:
    Remove, applied upstream
  * Rebased patches

 -- Ondřej Nový <onovy@debian.org>  Mon, 13 May 2019 12:06:24 +0200
