## swift 2.23.3

=== debian/changelog ===
swift (2.23.3-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:29:00 +0000

swift (2.23.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Train (LP: #1900476).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 15:06:53 -0400

swift (2.23.1-0ubuntu0.19.10.1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 13 Dec 2019 10:32:07 +0000

swift (2.23.1-0ubuntu0.19.10.1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:19:23 +0100
