## swift 2.24.0

=== debian/changelog ===
swift (2.24.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 14:01:08 -0500

swift (2.24.0~git2019121715.e890b0f0f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-test-local-py36.patch: Update to skip for all Py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 15:16:47 -0500

swift (2.23.1-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:19:23 +0100
