=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 23~),
- python-setuptools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -51,13 +50,14 @@
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-testtools,
  python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-swift
