## swift 2.24.1~git2020041316.a495f1e32

=== debian/changelog ===
swift (2.24.1~git2020041316.a495f1e32-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 16:25:31 -0400

swift (2.24.1~git2020032711.712bf3c9f-0ubuntu2) focal; urgency=medium

  * d/control, d/rules: Move installation of /etc/swift/ files to
    python3-swift package.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2020 08:26:09 -0400

swift (2.24.1~git2020032711.712bf3c9f-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/glance-common.postinst: Set default ownership and permissions for
    /etc/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 11:39:24 -0400
