=== debian/control ===
--- 
+++ 
@@ -84,8 +84,16 @@
  ${python3:Provides},
 Breaks:
  python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
+ swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 Replaces:
  python-swift (<< 2.22.0~b1~git2019071110.e62f07d98-0ubuntu1~),
+ swift-account (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-container (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object-expirer (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
+ swift-object (<< 2.24.1~git2020032711.712bf3c9f-0ubuntu2~),
 Description: distributed virtual object store - Python 3 libraries
  OpenStack Object Storage (code-named Swift) is open source software for
  creating redundant, scalable object storage using clusters of standardized
@@ -273,23 +281,3 @@
  adding new nodes. Should a node fail, OpenStack works to replicate its
  content from other active nodes. Because OpenStack uses software logic to
  ensure data replication and distribution across different devices,
- inexpensive commodity hard drives and servers can be used in lieu of more
- expensive equipment.
- .
- This package provides the swift object server.
-
-Package: swift-object-expirer
-Architecture: all
-Depends:
- python3-swift (=${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Provides:
- ${python3:Provides},
-Breaks:
- swift (<< 1.13.1~rc1-0ubuntu1~),
- swift-object (<< 1.12.0-0ubuntu2),
-Replaces:
- swift (<< 1.13.1~rc1-0ubuntu1~),
- swift-object (<< 1.12.0-0ubuntu2),
