=== debian/changelog ===
swift (2.25.2-0ubuntu1.1) focal-security; urgency=medium

  * d/p/fix-swob-unit-tests.patch: Fix failing swob unit tests.
  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47950.patch: Prevent XXE injections with S3 API.
    - CVE-2022-47950

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 16:47:24 -0500

swift (2.25.2-0ubuntu1) focal; urgency=medium

  * New stable point release for OpenStack Ussuri (LP: #1943712).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:09 +0000

swift (2.25.1-0ubuntu1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New stable point release for OpenStack Ussuri (LP: #1900477).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 14:33:46 -0400

swift (2.25.0-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:47:36 -0400
