=== debian/control ===
--- 
+++ 
@@ -56,8 +56,8 @@
  python3-xattr (>= 0.4),
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/swift
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/swift
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/swift
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-swift
